classification
Title: Tools\Scripts\md5sum.py doesn't work in Python 3.x
Type: behavior Stage: resolved
Components: Demos and Tools Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: berker.peksag Nosy List: SilentGhost, berker.peksag, josh.r, python-dev, r.david.murray, torrin, zach.ware
Priority: normal Keywords: easy, patch

Created on 2014-07-02 15:38 by torrin, last changed 2014-07-11 18:31 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
md5sum.diff berker.peksag, 2014-07-03 05:49 review
issue21906.diff zach.ware, 2014-07-03 21:25 review
issue21906_v2.diff berker.peksag, 2014-07-04 09:32 review
Messages (8)
msg222109 - (view) Author: Torrin Jones (torrin) Date: 2014-07-02 15:38
md5sum.py uses at least 1 undefined object in Python 3.4.1.  I only tried this on Windows.  I have no idea if it is a problem on any other OS.


C:\>C:\Python27\python.exe --version
Python 2.7.6

C:\>C:\Python34\python.exe --version
Python 3.4.1

C:\>C:\Python34\python.exe C:\Python34\Tools\Scripts\md5sum.py C:\Python34\python.exe
Traceback (most recent call last):
  File "C:\Python34\Tools\Scripts\md5sum.py", line 90, in <module>
    sys.exit(main(sys.argv[1:], sys.stdout))
  File "C:\Python34\Tools\Scripts\md5sum.py", line 87, in main
    return sum(args, out)
  File "C:\Python34\Tools\Scripts\md5sum.py", line 27, in sum
    if files and isinstance(files[-1], file):
NameError: name 'file' is not defined

Here is why . . .

C:\>C:\Python27\python.exe -c "print(file)"
<type 'file'>

C:\>C:\Python34\python.exe -c "print(file)"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
NameError: name 'file' is not defined

So "file" is defined in 2.7.6 but not in 3.4.1.
msg222110 - (view) Author: SilentGhost (SilentGhost) Date: 2014-07-02 16:01
I guess it's only the evidence that it isn't being used.
msg222116 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-07-02 18:37
Well, at least one person *tried* to use it :)

This is not a windows only problem, I can reproduce it on linux.  Obviously we don't have tests for this tool.
msg222150 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-07-03 05:49
Here's a path with tests.
msg222218 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-07-03 21:27
Hmmm, I was just reloading the page to post a patch I'd worked up, and lo and behold there's already one here!  Here's mine anyway; you can use any parts of it that you like, Berker.  There are a couple of not-quite-related changes in test_tools that might be better split into a separate issue, but they're in there anyway.
msg222273 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-07-04 09:32
Thanks Zachary! Here's a combined patch.
msg222769 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-07-11 17:46
Thanks for the patch, Zachary.
msg222776 - (view) Author: Roundup Robot (python-dev) Date: 2014-07-11 18:31
New changeset eafe4007c999 by Berker Peksag in branch '3.4':
Issue #21906: Make Tools/scripts/md5sum.py work in Python 3.
http://hg.python.org/cpython/rev/eafe4007c999

New changeset e1913d2780d7 by Berker Peksag in branch 'default':
Issue #21906: Merge from 3.4.
http://hg.python.org/cpython/rev/e1913d2780d7
History
Date User Action Args
2014-07-11 18:31:29python-devsetnosy: + python-dev
messages: + msg222776
2014-07-11 17:46:16berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg222769

stage: patch review -> resolved
2014-07-04 09:32:39berker.peksagsetfiles: + issue21906_v2.diff

messages: + msg222273
2014-07-03 21:27:48zach.waresetmessages: - msg222217
2014-07-03 21:27:38zach.waresetmessages: + msg222218
2014-07-03 21:25:34zach.waresetfiles: + issue21906.diff

nosy: + zach.ware
messages: + msg222217

assignee: berker.peksag
2014-07-03 10:19:33josh.rsetnosy: + josh.r
2014-07-03 05:49:16berker.peksagsetfiles: + md5sum.diff

type: behavior

keywords: + patch
nosy: + berker.peksag
messages: + msg222150
stage: patch review
2014-07-02 18:37:55r.david.murraysetkeywords: + easy
nosy: + r.david.murray
messages: + msg222116

2014-07-02 16:01:32SilentGhostsetnosy: + SilentGhost
title: Tools\Scripts\md5sum.py doesn't work in Python 3.4.1 on Windows 7 64bit. -> Tools\Scripts\md5sum.py doesn't work in Python 3.x
messages: + msg222110

versions: + Python 3.5
2014-07-02 15:38:52torrincreate